summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2009-10-06 16:24:35 +0000
committerPatrick Lauer <patrick@gentoo.org>2009-10-06 16:24:35 +0000
commitdd5a9932963e6b6f111403cbb45c1706f358a34c (patch)
tree97ac40856960f980ed9e22cbe5407b44a45f5d9e /net-analyzer/zabbix/files
parentI didn't see that EAUTORECONF was dropped in this version. The patch I added ... (diff)
downloadgentoo-2-dd5a9932963e6b6f111403cbb45c1706f358a34c.tar.gz
gentoo-2-dd5a9932963e6b6f111403cbb45c1706f358a34c.tar.bz2
gentoo-2-dd5a9932963e6b6f111403cbb45c1706f358a34c.zip
Adding proxy init script #283970 and fixing log paths #283817. Thanks to all the reporters and testers.
(Portage version: 2.2_rc44/cvs/Linux x86_64)
Diffstat (limited to 'net-analyzer/zabbix/files')
-rw-r--r--net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy21
-rw-r--r--net-analyzer/zabbix/files/1.6.6/zabbix_agentd.conf2
-rw-r--r--net-analyzer/zabbix/files/1.6.6/zabbix_proxy.conf4
-rw-r--r--net-analyzer/zabbix/files/1.6.6/zabbix_server.conf2
4 files changed, 25 insertions, 4 deletions
diff --git a/net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy b/net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy
new file mode 100644
index 000000000000..8ac246eccdb1
--- /dev/null
+++ b/net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/zabbix/files/1.6.6/init.d/zabbix-proxy,v 1.1 2009/10/06 16:24:35 patrick Exp $
+
+depend() {
+ need net
+ #use mysql postgresql
+}
+
+start() {
+ ebegin "Starting Zabbix proxy"
+ start-stop-daemon --start -c zabbix:zabbix --exec /usr/sbin/zabbix_proxy
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix proxy"
+ start-stop-daemon --stop -u zabbix --pidfile /var/run/zabbix/zabbix_proxy.pid
+ eend $?
+}
diff --git a/net-analyzer/zabbix/files/1.6.6/zabbix_agentd.conf b/net-analyzer/zabbix/files/1.6.6/zabbix_agentd.conf
index 44ce9d89a5e9..aac55eeb489c 100644
--- a/net-analyzer/zabbix/files/1.6.6/zabbix_agentd.conf
+++ b/net-analyzer/zabbix/files/1.6.6/zabbix_agentd.conf
@@ -64,7 +64,7 @@ PidFile=/var/run/zabbix/zabbix_agentd.pid
# Name of log file.
# If not set, syslog will be used
-LogFile=/tmp/zabbix_agentd.log
+LogFile=/var/log/zabbix/zabbix_agentd.log
# Maximum size of log file in MB. Set to 0 to disable automatic log rotation.
#LogFileSize=1
diff --git a/net-analyzer/zabbix/files/1.6.6/zabbix_proxy.conf b/net-analyzer/zabbix/files/1.6.6/zabbix_proxy.conf
index a09a7b623243..6dbcd12e3c2e 100644
--- a/net-analyzer/zabbix/files/1.6.6/zabbix_proxy.conf
+++ b/net-analyzer/zabbix/files/1.6.6/zabbix_proxy.conf
@@ -123,11 +123,11 @@ Timeout=5
#UnavailableDelay=60
# Name of PID file
-PidFile=/var/tmp/zabbix_proxy.pid
+PidFile=/var/run/zabbix/zabbix_proxy.pid
# Name of log file
# If not set, syslog is used
-LogFile=/tmp/zabbix_proxy.log
+LogFile=/var/log/zabbix/zabbix_proxy.log
# Maximum size of log file in MB. Set to 0 to disable automatic log rotation.
#LogFileSize=1
diff --git a/net-analyzer/zabbix/files/1.6.6/zabbix_server.conf b/net-analyzer/zabbix/files/1.6.6/zabbix_server.conf
index 2821ed2f1510..4973a007d347 100644
--- a/net-analyzer/zabbix/files/1.6.6/zabbix_server.conf
+++ b/net-analyzer/zabbix/files/1.6.6/zabbix_server.conf
@@ -107,7 +107,7 @@ PidFile=/var/run/zabbix/zabbix_server.pid
# Name of log file
# If not set, syslog is used
-LogFile=/tmp/zabbix_server.log
+LogFile=/var/log/zabbix/zabbix_server.log
# Maximum size of log file in MB. Set to 0 to disable automatic log rotation.
#LogFileSize=1